## org.eclipse.datatools.modelbase.sql.query
Interface GroupingExpression

All Superinterfaces:
  Grouping, GroupingSpecification, SQLObject, SQLQueryObject

All Known Implementing Classes:
  GroupingExpressionImpl

public interface GroupingExpression
extends Grouping

A representation of the model object 'SQL Grouping Expression'.

The following features are supported:

- `Value Expr`
- `Super Group Element Expr`

See Also:
  `SQLQueryModelPackage.getGroupingExpression()`

Method Summary
`SuperGroupElementExpression` `getSuperGroupElementExpr()` Returns the value of the 'Super Group Element Expr' container reference.
`QueryValueExpression` `getValueExpr()` Returns the value of the 'Value Expr' containment reference.
`void` `setSuperGroupElementExpr(SuperGroupElementExpression value)` Sets the value of the '`Super Group Element Expr`' container reference.
`void` `setValueExpr(QueryValueExpression value)` Sets the value of the '`Value Expr`' containment reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.Grouping
`getGroupingSetsElementExpr, setGroupingSetsElementExpr`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.GroupingSpecification
`getQuerySelect, setQuerySelect`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getValueExpr

    public QueryValueExpression getValueExpr()

  Returns the value of the 'Value Expr' containment reference. It is bidirectional and its opposite is '`Grouping Expr`'.

  If the meaning of the 'Value Expr' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value Expr' containment reference.
  See Also:
    `setValueExpr(QueryValueExpression)`, `SQLQueryModelPackage.getGroupingExpression_ValueExpr()`, `QueryValueExpression.getGroupingExpr()`

### setValueExpr

    public void setValueExpr(QueryValueExpression value)

  Sets the value of the '`Value Expr`' containment reference.

  Parameters:
    `value` - the new value of the 'Value Expr' containment reference.
  See Also:
    `getValueExpr()`

### getSuperGroupElementExpr

    public SuperGroupElementExpression getSuperGroupElementExpr()

  Returns the value of the 'Super Group Element Expr' container reference. It is bidirectional and its opposite is '`Grouping Expr`'.

  If the meaning of the 'Super Group Element Expr' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Super Group Element Expr' container reference.
  See Also:
    `setSuperGroupElementExpr(SuperGroupElementExpression)`, `SQLQueryModelPackage.getGroupingExpression_SuperGroupElementExpr()`, `SuperGroupElementExpression.getGroupingExpr()`

### setSuperGroupElementExpr

    public void setSuperGroupElementExpr(SuperGroupElementExpression value)

  Sets the value of the '`Super Group Element Expr`' container reference.

  Parameters:
    `value` - the new value of the 'Super Group Element Expr' container reference.
  See Also:
    `getSuperGroupElementExpr()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.